<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<span class="title">{{appTitle}}</span>

<div class="list">
  <div *ngFor="let item of appListItems; let i = index;" class="list--element">
    <mat-icon class="list--element--icon">fiber_manual_record</mat-icon>
    <span class="list--element--text" [class.list--element--text---line-through]="item.delete">{{item.label}}</span>
    <button (click)="appDelete.emit(i);"
            *ngIf="(item.add || (appIsDeletable && !item.isStandard)) && !item.delete"
            class="openk-mat-icon-button"
            mat-icon-button>
      <mat-icon>clear</mat-icon>
    </button>
    <button (click)="appRestore.emit(i);"
            *ngIf="appEnableRestore && item.delete"
            class="openk-mat-icon-button"
            style="margin-left: 3px;"
            mat-icon-button>
      <mat-icon>backspace</mat-icon>
    </button>
  </div>
</div>
